Get Provider Channels
curl --request GET \
--url https://staging-payments.commerce.asia/api/services/app/Channel/GetProviderChannels \
--header 'Abp-TenantId: <abp-tenantid>' \
--header 'Authorization: <authorization>' \
--header 'cap-signature: <cap-signature>'import requests
url = "https://staging-payments.commerce.asia/api/services/app/Channel/GetProviderChannels"
headers = {
"Abp-TenantId": "<abp-tenantid>",
"Authorization": "<authorization>",
"cap-signature": "<cap-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Abp-TenantId': '<abp-tenantid>',
Authorization: '<authorization>',
'cap-signature': '<cap-signature>'
}
};
fetch('https://staging-payments.commerce.asia/api/services/app/Channel/GetProviderChannels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "TEST0021",
"name": "SBI Bank A SBI",
"displayName": "SBI Bank A",
"imageUrl": "https://commerceasiapayment.blob.core.windows.net/image/payment/channel/2/providerchannel/TEST0021.png",
"status": 1
}
]Channel APIs
Get Provider Channels
The following input parameters are expected to be provided by the merchant to retrieve available payment provider channels.
GET
/
api
/
services
/
app
/
Channel
/
GetProviderChannels
Get Provider Channels
Headers
Your unique Merchant ID assigned by CommercePay.
Your API credentials used for authentication (typically a Bearer token).
A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.
Query Parameters
An identifier that represents a CommercePay channel. Refer to the id on response endpoints of Get Channel List.
Response
Success
An identifier that represents the payment provider channel
Payment Provider channel Name
Payment Provider channel Display Name
Url image of Payment Provider channel
Status of the payment provider channel
Available options:
0, 1, 2, -1 